<div class="row">
  <div class="col-md-6">
    <div class="card card-body">

      <h3 class="box-title m-b-0"> Médico: {{ medico.nombre }}</h3>
      <hr>
      <div class="row">

        <div class="col-sm-12 col-xs-12">

          <form #f="ngForm" ngNativeValidate (ngSubmit)="guardarMedico(f)">

            <div class="form-group">
              <label> Nombre del medico </label>
              <input [(ngModel)]="medico.nombre" name="nombre" type="text" class="form-control" [placeholder]="medico.nombre" required>
            </div>

            <div class="form-group">
              <label>HOSPITAL</label>
              <select (change)="cambioHospital( $event.target.value )" [(ngModel)]="medico.hospital._id" name="hospital" class="form-control" required>
                <option value=""> Seleccione hospital </option>
                <option *ngFor="let hospital of hospitales" [value]="hospital._id"> 
                  {{ hospital.nombre }}
                </option>
              </select>
            </div>

            <button  type="submit" class="btn btn-success waves-effect waves-light m-r-10">
              <i class="fa fa-save"></i>
              Save
            </button>
            <a type="button" [routerLink]="['/medicos']" class="btn btn-inverse waves-effect waves-light">Cancel</a>

          </form>

        </div>

      </div>

    </div>
  </div>

  <div class="col-md-3">
    <div class="card card-body">
      <h4 class="box-title m-b-0"> Hospital: </h4>
      <img [src]="hospital.img | imagen:'hospital'" alt="hospital image" class="rounded img-fluid">
    </div>
  </div>
  <div class="col-md-3" *ngIf="medico._id">
    <div class="card card-body">
      <h4 class="box-title m-b-0"> Image </h4>
      <img (click)="mostrarModal()" [src]="medico.img | imagen:'medico'" alt="medico image" class="img-fluid img-circle pointer">
    </div>
  </div>

</div>